/*
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
*/

html,
body {
    overflow-x: hidden;
    /* Prevent scroll on narrow devices */
}

html {
    position: relative;
    min-height: 100%;
}

body {
    padding-top: 20px;
    /* Margin bottom by footer height*/
    margin-bottom: 30px;
}

.voffset {
    padding-top: 15px;
}

.breadcrumb .divider {
    display: none;
}

.breadcrumb>li+li:before {
    content: "\00276D";
}

/* Beginn Kopfleiste */

.masthead {
    border: 0;
    background: rgb(232, 238, 231);
    background: -moz-linear-gradient(left, rgba(232, 238, 231, 1) 0%, rgba(229, 237, 242, 1) 75%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(232, 238, 231, 1)), color-stop(75%, rgba(229, 237, 242, 1)));
    background: -webkit-linear-gradient(left, rgba(232, 238, 231, 1) 0%, rgba(229, 237, 242, 1) 75%);
    background: -o-linear-gradient(left, rgba(232, 238, 231, 1) 0%, rgba(229, 237, 242, 1) 75%);
    background: -ms-linear-gradient(left, rgba(232, 238, 231, 1) 0%, rgba(229, 237, 242, 1) 75%);
    background: linear-gradient(to right, rgba(232, 238, 231, 1) 0%, rgba(229, 237, 242, 1) 75%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#e8eee7', endColorstr='#e5edf2', GradientType=1);
}

.masthead:after {
    position: relative;
    height: 4px;
    width: 100%;
    content: "";
    background: rgb(121, 182, 28);
    background: -moz-linear-gradient(left, rgba(121, 182, 28, 1) 0%, rgba(2, 129, 196, 1) 75%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(121, 182, 28, 1)), color-stop(75%, rgba(2, 129, 196, 1)));
    background: -webkit-linear-gradient(left, rgba(121, 182, 28, 1) 0%, rgba(2, 129, 196, 1) 75%);
    background: -o-linear-gradient(left, rgba(121, 182, 28, 1) 0%, rgba(2, 129, 196, 1) 75%);
    background: -ms-linear-gradient(left, rgba(121, 182, 28, 1) 0%, rgba(2, 129, 196, 1) 75%);
    background: linear-gradient(to right, rgba(121, 182, 28, 1) 0%, rgba(2, 129, 196, 1) 75%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#79b61c', endColorstr='#0281c4', GradientType=1);
}

.navbar-brand {
    padding-top: 13px;
    padding-bottom: 0;
    padding-left: 70px;
    background: url(../img/logo_openkonsequenz.png) no-repeat 5px center;
    background-size: 63px 50px;
}

.navbar-brand .open {
    font-size: 1.8em;
    color: #000;
    font-weight: 500;
    text-transform: lowercase;
}

.navbar-brand .konsequenz {
    margin-left: 3px;
    font-size: 1.35em;
    color: #000;
    text-transform: uppercase;
    font-weight: 300;
}

.masthead .navbar-toggle {
    position: absolute;
    right: 0;
    background: rgba(0, 0, 0, 0.05);
}

/* Ende Kopfleiste */

/* Beginn Sidebar */

#sidebar .list-group-item:first-child {
    border-top-right-radius: 0px !important;
    border-top-left-radius: 0px !important;
}

.toggle-sidebar {
    margin-top: 10px;
}

.row-offcanvas .toggle-sidebar .in,
.row-offcanvas.active .toggle-sidebar .out {
    display: block;
}

.row-offcanvas .toggle-sidebar .out,
.row-offcanvas.active .toggle-sidebar .in {
    display: none;
}

/* Ende Sidebar */

.maincontent {
    background: #fff;
    margin: 0;
    padding-top: 15px;
    padding-bottom: 15px;
}

.nav-tabs-maincontent {
    margin-left: 0;
    padding-left: 15px;
}

.checkboxes label.checkbox,
.checkboxes label.radio {
    font-weight: 400;
    margin-left: 20px;
}

.checkboxes .input-group-addon {
    width: 50px
}

.form-group.sicherheit-aufschlag .input-group {
    width: 82px;
}

.form-group:last-child {
    margin-bottom: 0;
}

.zeit {
    float: right;
}

.zeit .alert {
    margin-top: -6px;
    margin-bottom: 10px;
    padding: 4px;
}

#netzgebiete tr.toggle {
    cursor: pointer;
}

#netzgebiete tbody:nth-child(2n) tr.toggle {
    background: #f5f8fc;
}

#netzgebiete tbody tr.toggle td span.glyphicon {
    margin-right: 5px;
}

#netzgebiete tbody:nth-child(2n+1) tr.toggle {
    background: #f5f8fc;
}

#netzgebiete tfoot tr {
    background: #e9f0f9;
}

#netzgebiete tr.collapsing td:first-child,
#netzgebiete tr.collapse td:first-child {
    padding-left: 15px;
}

#regulationSteps {
    height: 23px;
    margin-top: -2px;
    margin-bottom: 4px;
}

.table>tbody>tr>td,
.table>tbody>tr>th,
.table>tfoot>tr>td,
.table>tfoot>tr>th,
.table>thead>tr>td,
.table>thead>tr>th {
    border-top: 1px solid #ddd;
    padding: 4px;
    vertical-align: top;
}

.table>thead>tr>th {
    padding: 6px 0px 35px 6px;
}

@media screen and (max-width: 1024px) {
    .panel-group .panel {
        width: 70em;
    }
}

@media screen and (max-width: 767px) {
    .row-offcanvas {
        position: relative;
        -webkit-transition: all .25s ease-out;
        -o-transition: all .25s ease-out;
        transition: all .25s ease-out;
    }
    .row-offcanvas-right {
        right: 0;
    }
    .row-offcanvas-left {
        left: 0;
    }
    .row-offcanvas-right .sidebar-offcanvas {
        right: -50%;
        /* 6 columns */
    }
    .row-offcanvas-left .sidebar-offcanvas {
        left: -50%;
        /* 6 columns */
    }
    .row-offcanvas-right.active {
        right: 50%;
        /* 6 columns */
    }
    .row-offcanvas-left.active {
        left: 50%;
        /* 6 columns */
    }
    .sidebar-offcanvas {
        position: absolute;
        top: 0;
        width: 50%;
        /* 6 columns */
    }
}

.ui-grid-cell button.btn-sm.btn-default {
    margin: 2px;
    height: 26px;
    width: 26px;
    padding: 0px;
}

.ui-grid-pager-panel {
    border-top: solid 1px #d4d4d4;
    background-color: #efefef;
}

.mtdefault {
    margin-top: 10px;
}

button.btn-sm.btn-default.active {
    background-color: green ! important;
}

.ui-grid-row.active div {
    background-color: #b4f371 ! important;
    background-image: none ! important;
}

div.panel-default {
    min-height: 120px;
}

.toolbar {
    position: absolute;
    right: 10px;
    top: 20px;
}

div.panel.panel-default.panel-details,
div.panel.panel-default.panel-activities {
    min-height: 436px;
}

.panel-details table tr td {
    padding: 4px 20px 4px 4px;
}

.panel-details table tr td:first-child {
    font-weight: bold;
}

.feature-heading {
    display: none;
}

.breadcrumb {
    margin-bottom: 10px;
}

input.goto {
    width: 40px;
    height: 28px;
    text-align: center;
}

span.paging {
    display: inline-block;
    margin: 0px 10px 0px 10px;
}

.cursor {
    cursor: pointer;
}

.align-right {
    text-align: right;
}

table.table.tree-grid th {
    border: solid 1px #ddd;
}

table.table.tree-grid {
    border-top: solid 1px #ddd;
}

.ui-grid-cell.ng-scope.ui-grid-disable-selection {
    border-bottom: solid 1px #ddd;
}

a i.indented.tree-icon.glyphicon.glyphicon-arrow-right {
    margin-left: 30px;
}

table.tree-grid tr.tree-grid-row.ng-scope.level-3.active td {
    background-color: #ffffff ! important;
}

table.tree-grid tr.tree-grid-row.ng-scope.level-3:hover {
    background-color: #eeeeee ! important;
}

#proposalTree {
    height: 402px;
}

#timermessage {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 20000;
    display: none;
}

#timermessage .messagebox {
    width: 420px;
    height: 300px;
    padding: 10px;
    background-color: white;
    margin: 100px auto;
}

.error {
    color: red ! important;
}

form .row.navheader {
    margin: 20px 0px 40px 0px ! important;
}

.row.navheader {
    margin: 0px 0px 0px 0px;
    border-top: solid 1px #cccccc;
    border-bottom: solid 1px #cccccc;
    padding: 5px 0px 5px 0px;
    background-color: #f5f5f5;
}

.row.navfooter {
    margin: 10px 0px 0px 0px;
    border-top: solid 1px #cccccc;
    border-bottom: solid 1px #cccccc;
    padding: 5px 0px 5px 0px;
    background-color: #f5f5f5;
}

.panel td {
    vertical-align: top;
}

.ui-grid-a11y-ariascreenreader-speakable {
    display: none ! important;
}

.ranges {
    width: 100% ! important;
}

login {
    font-size: 14px;
    color: #537798;
}

login:hover {
    color: #bac2cb;
}
